* {
  padding: 0;
  margin: 0;
  font-family: Helvetica, sans-serif;
  color: #212121;
  box-sizing: border-box;
}
nav {
  margin: 1rem;
  height: 5rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
body {
  position: relative;
  height: 100%;
  width: 100%;
  background-color: #f5f5f5;
}
nav h1 {
  color: white;
  font-weight: 300;
  color: #b83f45;
  font-size: 80px;
  margin: 1rem;
}
nav button {
  border: none;
  padding: 0.5rem 2rem;
  border-radius: 1.25rem;
  background: rgba(255, 255, 255, 0.7);
  cursor: pointer;
}
main {
  position: relative;
  height: 100%;
  display: flex;
  margin: 1rem auto;
  background-color: white;
  flex-direction: column;
  justify-content: center;
  width: 550px;
  align-items: center;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 6px 0px,
    rgba(60, 64, 67, 0.15) 0px 5px 3px 1px;
}
button {
  border: none;
  padding: 0.5rem 2rem;
}

.edit, .new-todo {
  border: none;
  font-size: 1.5rem;
  font-weight: 200;
  width: 100%;
  font-style: italic;
  box-sizing: border-box;
  padding: 1.25rem 2.5rem;
  
}
.new-todo:focus {
  box-shadow: 0 0 2px 2px #cf7d7d;
  outline: 0;
}
::placeholder {
  color: #81818197;
}
.footer {
  margin-top: 2rem;
  width: 100%;
  display: flex;
  gap: 0.5rem;
  flex-direction: column;
}
.footer p {
  margin: 0 auto;
  font-size: 12px;
  font-weight: 200;
  color: #212121a4;
}
.todo-list-container {
  width: 100%;
}
.view {
  display: block;
  border-bottom: 1px solid #e2e2e2e4;
  border-top: 1px solid #e2e2e2e4;

}
ul {
  display: block;
  list-style: none;
}


.todo-list-container li {
  border-bottom: 10px solid #ededed;
  font-size: 24px;
  display: flex;
  text-align: left;
  align-items: center;
  position: relative;
  font-size: 24px;
}
.todo-list-container li:last-child {
  border-bottom: none;
}
.todo-list-container li.editing {
  border-bottom: none;
  padding: 0;
}
.todo-list-container li.editing .edit {
  display: block;
  margin: 0 0 0 43px;
  padding: 12px 16px;
  width: calc(100% - 43px);
}
.todo-list-container li.editing .view {
  display: none;
}
.delete {
  background: transparent;
  cursor: pointer;
}
/* .todo-list-container li .toggle {
  -webkit-appearance: none;
  appearance: none;
  border: none;
  bottom: 0;
  height: auto;
  margin: auto 0;
  opacity: 0;
  position: absolute;
  text-align: center;
  top: 0;
  width: 40px;
} */
.todo-list-container li .toggle {
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%23949494%22%20stroke-width%3D%223%22/%3E%3C/svg%3E");
  background-position: 0;
  background-repeat: no-repeat;
}
.todo-list-container li .toggle:checked {
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%2359A193%22%20stroke-width%3D%223%22%2F%3E%3Cpath%20fill%3D%22%233EA390%22%20d%3D%22M72%2025L42%2071%2027%2056l-4%204%2020%2020%2034-52z%22%2F%3E%3C%2Fsvg%3E");
}
.todo-list li .toggle {
  -webkit-appearance: none;
  appearance: none;
  display: flex;
  border: none;
  opacity: 1;
  text-align: center;
  height: 40px;
  width: 40px;
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%23949494%22%20stroke-width%3D%223%22/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: 0;
}
.todo-list li .toggle:checked {
  opacity: 1;
  background-image: url("data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2240%22%20height%3D%2240%22%20viewBox%3D%22-10%20-18%20100%20135%22%3E%3Ccircle%20cx%3D%2250%22%20cy%3D%2250%22%20r%3D%2250%22%20fill%3D%22none%22%20stroke%3D%22%2359A193%22%20stroke-width%3D%223%22%2F%3E%3Cpath%20fill%3D%22%233EA390%22%20d%3D%22M72%2025L42%2071%2027%2056l-4%204%2020%2020%2034-52z%22%2F%3E%3C%2Fsvg%3E");
}
.todo-list li label {
  color: #4f4f4f;
  display: flex;
  font-weight: 300;
  flex: 1;
  line-height: 1.2;
  padding: 15px 15px 15px 20px;
  transition: color 0.4s;
  word-break: break-all;
}
.todo-list li label s{
  font-weight: 300;
  color: #6d6d6d;

}

main footer{
  display:flex;
  width: 100%;
  flex-direction: row;
  justify-content: space-between;
  padding: 1rem;
  font-weight: 100;
  font-size: 16px;
  align-items: center;

}
main footer:before {
  bottom: 0;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2), 0 8px 0 -3px #f6f6f6,
    0 9px 1px -3px rgba(0, 0, 0, 0.2), 0 16px 0 -6px #f6f6f6,
    0 17px 2px -6px rgba(0, 0, 0, 0.2);
  content: "";
  height: 50px;
  left: 0;
  overflow: hidden;
  position: absolute;
  right: 0;
}
.filters{
  list-style: none;
  display: flex;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
.filters li a {
  border: 1px solid transparent;
  border-radius: 3px;
  color: inherit;
  margin: 3px;
  padding: 3px 7px;
  text-decoration: none;
}
.filters li a:hover {
  border-color: #db7676;
  cursor: pointer;
}
.filters li a.selected {
  border-color: #ce4646;
}
.clear-completed,
html .clear-completed:active {
  cursor: pointer;
  float: right;
  font-weight: 300;
  padding: 0;
  line-height: 19px;
  position: relative;
  background-color: transparent;
  text-decoration: none;
  z-index: 10;
}
.clear-completed:hover {
  text-decoration: underline;
  cursor: pointer;
}
.todo-list li .destroy {
  /* bottom: 0; */
  color: #949494;
  display: none;
  font-size: 30px;
  height: 40px;
  background-color: transparent;
  margin: 0 auto;
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  transition: color 0.2s ease-out;
  width: 40px;
}
.todo-list li .destroy:focus,
.todo-list li .destroy:hover {
  color: #c18585;
}
.todo-list li .destroy:after {
  content: "×";
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  line-height: 1.1;
}
.todo-list li:hover .destroy {
  display: flex;
  align-items: center;
  justify-content: center;
}
 .editing li:hover .destroy{
  display: none;
}

label[contenteditable]{
  box-shadow: 0 0 2px 2px #cf7d7d;
  outline: 0 solid red;
}
.toggle-all {
	border: none;
	height: 1px;
	opacity: 1;
	position: absolute;
	width: 1px
}

.toggle-all {
  -webkit-appearance: none;
  display: flex;
  border: none;
  opacity: 1;
  text-align: center;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='grey'%3E%3Cpath d='M12 16L6 10H18L12 16Z'%3E%3C/path%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: 0;
  cursor: pointer;
  background-size: cover;
	align-items: center;
	display: flex;
	height: 22px;
	justify-content: center;
	left: 0;
	position: absolute;
	top: 22px;
	width: 28px;
  left:5px;
  font-size: 22px;
}

/* .toggle-all+label:before {
	color: #949494;
	content: "❯";
	display: inline-block;
	font-size: 22px;
	padding: 10px 27px;
	-webkit-transform: rotate(90deg);
	transform: rotate(90deg)
} */
